From a76da172115b8a9e82e9ea6b011d16ef9bf6e2a4 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 16 2020 15:55:14 +0000
Subject: [PATCH 881/2232] Merge pull request #301 from Nehliin/add-maybeuninit


Make sure MaybeUninit is part of generated code for Rust functions returning Result
---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index 8cc1b1b..a6f6c3e 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -217,6 +217,7 @@ fn write_include_cxxbridge(out: &mut OutFile, apis: &[Api], types: &Types) {
                     out.include.string = true;
                     needs_rust_str = true;
                     needs_rust_error = true;
+                    needs_maybe_uninit = true;
                 }
                 for arg in &efn.args {
                     if arg.ty != RustString && types.needs_indirect_abi(&arg.ty) {

